> ## Documentation Index
> Fetch the complete documentation index at: https://help.teamm.work/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /guests/list

> Get a list of all the bookings.

<Warning>
  This endpoint is deprecated and it will be removed by the end of 2025.
  Please use [GET /guests](/api-reference/endpoint/get-guests) instead.
</Warning>

#### Authentication

This endpoint requires authentication. See [Authentication](/api-reference/authentication) for detailed information about required headers and how to obtain your API keys.

#### Query Params

<ParamField path="start" type="Date" required>
  From date
</ParamField>

<ParamField path="end" type="Date" required>
  To date
</ParamField>

#### Response

```json theme={null}
"guests": {
  "firstName": string;
  "lastName": string;
  "startDate": Date;
  "endDate": Date;
  "role": 'patient' | 'companion' | 'guest'
}[]
```
